Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentKey
string
required

The environment identifier, e.g. 'production'.

key
string
required

The branch environment key.

Query Parameters

from
string

The revision to list changes from (exclusive). If not provided, lists from the beginning.

limit
integer<int32>

The maximum number of changes to return. Defaults to 10.

Response

200 - application/json

OK

The response message for listing changes in a branched environment.

changes
object[]

The list of changes.

proposalTitle
string

The hydrated default proposal title for this branch, rendered from the applicable (built-in, server, or repository-level) template. The UI uses this as an editable default when opening a merge proposal.

proposalBody
string

The hydrated default proposal body for this branch, rendered from the applicable template.